Skip to main content
POST
https://api.dintero.com/v1
/
examples
/
checkout_token
example_checkout_token_event
curl --request POST \
  --url https://api.dintero.com/v1/examples/checkout_token \
  --header 'content-type: <content-type>' \
  --header 'event: <event>' \
  --header 'event-delivery: <event-delivery>' \
  --data '
{
  "account_id": "P12345678",
  "event_delivery": "9ebb6d41-dca5-484e-8330-9c9fa96b60ba",
  "event": "checkout_token_add",
  "token": {
    "id": "<string>",
    "token": "<string>",
    "type": "payment_token",
    "masked_pan": "476173******0416",
    "token_expiry_date": "09/2030",
    "account_id": "P12345678",
    "payment_product_type": "dintero_psp.creditcard",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "pan_expiry_date": "09/2030",
    "links": [
      {
        "href": "<string>"
      }
    ],
    "customer_id": "<string>",
    "relationship_id": "<string>",
    "transaction_id": "<string>",
    "external_token_references": [
      "<string>"
    ],
    "created_by": "<string>",
    "deleted_at": "2023-11-07T05:31:56Z",
    "deleted_by": "<string>"
  }
}
'

Headers

event
string
required
event-delivery
string
required
event-signature
string
content-type
string
required

Body

application/json
account_id
string
required
Pattern: ^[PT]\d{8}
Example:

"P12345678"

event_delivery
string<uuid>
required
Example:

"9ebb6d41-dca5-484e-8330-9c9fa96b60ba"

event
enum<string>
required
Available options:
checkout_token_add
Example:

"checkout_token_add"

token
object
required

Response

event handled

Last modified on June 19, 2026